# threadpool.h File Reference

`#include <map>`
`#include <queue>`

Go to the source code of this file.

## Classes

class | PThreadPoolBase
| Base class for thread pools. More...
class | PThreadPoolBase::WorkerThreadBase
class | PThreadPoolBase::InternalWorkBase
class | PThreadPool< Work_T >
| Low Level thread pool. More...
class | PThreadPool< Work_T >::WorkerThread
class | PThreadPool< Work_T >::InternalWork
struct | PThreadPool< Work_T >::GroupInfo
class | PQueuedThreadPool< Work_T >
| High Level (queued work item) thread pool. More...
class | PQueuedThreadPool< Work_T >::QueuedWorkerThread